#$Id: xine.spec,v 1.8 2002/08/04 20:24:00 dude Exp $

%define	d5dversion	0.2.7
%define	d4dversion	0.3.2

Summary: A free video player that supports DVDs, mpeg, DivX ;-) etc.
Name: xine
Version: 0.9.13
Release: fr2
Epoch: 1
License: GPL
Group: Applications/Multimedia
Source0: http://xine.sourceforge.net/files/%{name}-lib-%{version}.tar.gz
Source1: http://xine.sourceforge.net/files/%{name}-ui-%{version}.tar.gz
Source2: http://worldzone.net/technology/captaincss/xine-d5d-%{d5dversion}.tgz
Source3: http://worldzone.net/technology/captaincss/xine_d4d_plugin-%{d4dversion}.tar.gz
URL: http://xine.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: %{name}-libs = %{version}
BuildRequires: perl, XFree86-devel, libpng-devel, zlib-devel, aalib-devel
BuildRequires: arts-devel, libvorbis-devel, esound-devel, libtermcap-devel

%description
Xine is a free GPL-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams
as well as mpeg-4 and AVI.

Xine plays the video and audio data of the stream and synchronizes
the playback of both. Depending on the properties of the stream,
playback will need more or less processor power, full frame rate
for mpeg-2 has been seen on a 400 MHz P II system.


%package libs
Summary: Backend for the xine video player.
Group: Applications/Multimedia
Requires: imlib >= 1.9.5, zlib, libpng, arts, libvorbis, esound

%description libs
xine-lib is the backend library of the xine video player.
It supports playing videos in MPEG and AVI format.


%package libs-devel
Summary: Static libraries and header files from the Xine video player.
Group: Development/Libraries
Requires: %{name}-libs = %{version}
Obsoletes: %{name}-devel

%description libs-devel
Static libraries and header files from the Xine video player.


%prep
%setup -q -a1 -a2 -a3 -n %{name}-lib-%{version}


%build
# We install in the %%build section, sorry but that's the only solution!
rm -rf %{buildroot}

# Compile and install xine-lib
%configure --with-aalib-prefix=%{_prefix}
make %{?_smp_mflags} LIBRARY_PATH=%{buildroot}/%{_libdir}
make install DESTDIR=%{buildroot} LIBRARY_PATH=%{buildroot}/%{_libdir}

# Temporary hack to be able to compile everything
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
export PATH="%{buildroot}%{_bindir}:$PATH"
perl -pi -e 's|%{_prefix}|%{buildroot}%{_prefix}|g' \
	%{buildroot}%{_bindir}/xine-config

# Build the DVD plugin with menu support
pushd xine-d5d-%{d5dversion}
	perl -pi -e 's|iface != 7|iface != 8|g' src/input_dvd.c
	%configure
	make %{?_smp_mflags}
	make install
popd

# Build the DVD plugin without menu support
pushd xine_d4d_plugin-%{d4dversion}
	perl -pi -e 's|iface != 7|iface != 8|g' src/input/input_dvd.c
	%configure
	make %{?_smp_mflags}
	make install
popd

# Build the default ui
pushd %{name}-ui-%{version}
	%configure
	make %{?_smp_mflags}
	make install \
		DESTDIR=%{buildroot} \
		XINE_DESKTOPDIR=%{_datadir}/xine/desktop \
		XINE_SKINDIR=%{_datadir}/xine/skins
popd

# End the temporary hack
perl -pi -e 's|%{buildroot}%{_prefix}|%{_prefix}|g' \
	%{buildroot}%{_bindir}/xine-config

# Get the lib docs back into place
mv %{buildroot}%{_docdir}/xine/xine-lib-API/html html

# Get the ui docs back into place too
mv %{buildroot}%{_docdir}/xine-ui xine-ui-doc

# Strip all those libs!
strip %{buildroot}%{_libdir}/*.so* %{buildroot}%{_libdir}/xine/plugins/*.so || :

# Put the desktop entry into place
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{_datadir}/xine/desktop/xine.desktop \
	%{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
cp %{buildroot}%{_datadir}/xine/desktop/xine.xpm \
	%{buildroot}%{_datadir}/pixmaps/xine.xpm


%install
%find_lang xine-lib
%find_lang xine-ui


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f xine-ui.lang
%defattr(-, root, root)
%doc xine-ui-doc/*
%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
%{_bindir}/aaxine
%{_bindir}/xine
%{_bindir}/xine-bugreport
%{_bindir}/xine-check
%{_bindir}/xine-remote
%{_datadir}/pixmaps/xine.xpm
%dir %{_datadir}/xine
%dir %{_datadir}/xine/skins/
%{_datadir}/xine/skins/CelomaChrome
%{_datadir}/xine/skins/cloudy
%{_datadir}/xine/skins/xinetic
%{_mandir}/man1/aaxine.1*
%{_mandir}/man1/xine.1*
%{_mandir}/man1/xine-bugreport.1*
%{_mandir}/man1/xine-check.1*
%{_mandir}/man1/xine-remote.1*
%{_mandir}/??/man1/*

%files libs -f xine-lib.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
#%{_bindir}/xine-logoconv
%{_libdir}/*.so.*
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%{_libdir}/xine/plugins/*.so
%dir %{_datadir}/xine
%{_datadir}/xine/fonts
%dir %{_datadir}/xine/skins
%{_datadir}/xine/skins/xine_logo.*

%files libs-devel
%defattr(-, root, root)
%doc html
%{_bindir}/xine-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%{_libdir}/xine/plugins/*.la
%{_datadir}/aclocal/xine.m4
%{_datadir}/idl/*
%{_mandir}/man1/xine-config.1*
%{_mandir}/man3/*

%changelog
* Sun Aug  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed plugins (new API version again).
- Rebuilt without the NVIDIA_GLX package :-/

* Sun Aug  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.13.
- Updated both d4d and d5d plugins.
- Now use %%find_lang.

* Tue Jun 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.12.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split into xine (UI) and xine-libs to be able to install just the engine
  for other frontends.

* Mon May 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.10 final.
- Added a quick perl regexp hack for the d4d & d5d API versions.

* Thu May  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Almost complete spec file rewrite to reflect improvements in the build
  process (simplifications were now possible).
- Updated the d5d plugin to 0.2.4.
- Moved everything from %%install to %%build as it seems more logical.
- Added %%{?_smp_mflags} and LIBRARY_PATH for the lib, thanks Ralf!
- Added the d4d plugin as well.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.9.

* Wed Jan 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.8 with new all-in-one d5d css and menu support plugin.
- Cleaned up the docs.

* Tue Dec 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.7.

* Thu Nov 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.6.

* Sat Nov 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.5, added the new LC_MESSAGEs.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.4 (0.9.3 had build problems).
- Update d4d plugin to 0.2.7.
- Put the menu navigation plugin back in and update it to 0.9.3beta
  (yeah, Fred, I'm doing that for you ;-)).

* Thu Nov  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the missing xineshot to %files.
- Removed the menu navigation plugin : It's so buggy and not moving very
  fast. If you want menu support, try Ogle, it's worth it!
- Added new man pages translations.
- Cleaned-up the %doc section, lots were added recently.
- Modified the way the target cpu is forced, it should now be possible to
  rebuild for anything else than i686.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the libdvdcss since it was making xine mutually exclusive with
  videolan... and moved it to a separate package instead.
- Removed the ugly hacks from libtool problems, I guess this spec won't
  be suited for 7.1 anymore.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Addedd libdvdcss library so that encrypted menus can now be played too.
- Updated lots of dependencies (ogg vorbis, arts, zlib, esd, libpng).

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.2 with updated CSS plugin and libvdvread.

* Mon Oct  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 with lirc support.

* Wed Sep 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the dvdnav plugin to the latest version.

* Tue Sep 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.1.
- Update libdvdread to 0.9.1 too :-)

* Fri Sep 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0.
- Spec file cleanup, the configure scripts and the way they use macros
  are still too crappy to clean up more :-(
- Included the new menu plugin and libdvdcss...slurp!

* Thu Sep 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3 and kept d4d plugin 0.2.2 (0.2.4 doesn't compile for me).

* Mon Sep  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.
- Removed the "aaxine" binary.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Nothing weird with the package in one whole week, I'll release it :-)

* Mon Aug  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.0.
- Merged the new "lib" and "ui" sources in the same SRPM and split the
  binaries in a main and a "devel" package.

* Thu May 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.3.

* Thu May 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the spec file to now use XINE_BUILD to override the default
  build arch and use the compilation optimisations chosen by the xine
  authors in the configure script.
- Doesn't work with --arch=athlon though... I wonder why!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.01.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the DeCSS plugin to the latest 0.1.2 release.
- Added a menu entry since xine is now stable enough to not need to be
  launched in a terminal anymore.

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.7 with the subtitles patch to the plugin

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.6 with the same plugin

* Sat Jan 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Included the DeCSS dvd plugin for 0.3.5

* Wed Jan 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.5

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.4
- tweak to configure.in to compile with gcc 2.96

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.3

* Sun Dec 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.2 "complete" :-)
- fixed my files section to include the new skin

* Mon Nov 20 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up the spec file for RedHat 7.0
- added stripping, changed prefix, added docs, added defattr

* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.

